php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #72067 Error loading php_curl.dll on apache startup for win10 (index 387 not found)
Submitted: 2016-04-20 23:46 UTC Modified: 2016-04-25 13:38 UTC
From: sm0ke999 at yandex dot ru Assigned:
Status: Not a bug Package: cURL related
PHP Version: 7.0.5 OS: Windows 10
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: sm0ke999 at yandex dot ru
New email:
PHP Version: OS:

 

 [2016-04-20 23:46 UTC] sm0ke999 at yandex dot ru
Description:
------------
If i enable php_curl.dll in php.ini i got error dialog on apache 2.4.20 startup,
telling me: Index 387 is not found in lib php_curl.dll (approx trsnslation from russian).
Порядковый номер 387 не найден в библиотеке DLL ... (тут путь к файлу)

So apache is started with no curl module enabled.

part of log:
PHP Warning:  PHP Startup: Unable to load dynamic library 'C:\\Program Files\\VertrigoServ\\php\\ext\\php_curl.dll' - ???????????? ??????? ?? ????? ????????? %1.\r\n in Unknown on line 0

ps:
32bit windows 10 and vc_redist.x86.exe is installed.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-04-25 13:38 UTC] ab@php.net
-Status: Open +Status: Not a bug
 [2016-04-25 13:38 UTC] ab@php.net
Thanks for the report. We stand in no connection to the WAMP producer you use (VertrigoServ as it's to see from the path). Thus we cannot stand for the bugs in there. Please report this to VertrigoServ.

Thanks.
 [2016-04-25 16:34 UTC] sm0ke999 at yandex dot ru
Yes I use VertrigoServ package. But i have downloaded php 7.0.5 from php.net this site (because Vertrigo uses php5).
 [2016-04-25 16:35 UTC] sm0ke999 at yandex dot ru
I turned off php5 from Vertrigo completely, and added php7 downloaded from here.
 [2017-07-21 20:00 UTC] gerasimenko dot asap at gmail dot com
I've the same error after updating php from 5.3 to 7.1.7 on DENWER.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Sep 16 06:01:27 2019 UTC